# Filename:     tb_seq_mult_2_algo.do
# Filetype:     Modelsim Script File
# Date:         12 may 2011
# Update:       -
# Description:  Script File For Automatic Simulation
# Author:       J. op den Brouw
# State:        Demo
# Error:        -
# Version:      1.0
# Copyright:    (c)2011, De Haagse Hogeschool

# This file is part of Sequential Multiplier V2.0

# Set transcript on
transcript on

# Recreate the work directory and map to work
if {[file exists rtl_work]} {
	vdel -lib rtl_work -all
}
vlib rtl_work
vmap work rtl_work

# Compile the Double Dabble VHDL description and testbench
vcom -93 -work work ../../seq_mult_2_algo.vhd
vcom -93 -work work ../../tb_seq_mult_2_algo.vhd

# Start the simulator with 1 ns time resolution
vsim -t 1ns -L rtl_work -L work -voptargs="+acc" tb_seq_mult_2_algo

# Log all signals in the design, good if the number
# of signals is small.
add log -r *

# Add all toplevel signals
# Add a number of signals of the simulated design
#add list *
#add list dut/current_state
#add list dut/next_state

# Add all toplevel signals
# Add a number of signals of the simulated design
add wave -divider "Inputs"
add wave clk
add wave areset
add wave start
add wave dataa
add wave datab
add wave -divider "Debugging Internals"
add wave dut/running_debug
add wave dut/rega_debug
add wave dut/regb_debug
add wave dut/regp_debug
add wave -divider "Outputs"
add wave resultp
add wave ready

# Open Structure, Signals (waveform) and List window
view structure
#view list
view signals

# Run simulation for 300 ns
run 300 ns

# Fill up the waveform in the window
wave zoom full
